Bug 20089 - Meaning of raw UTF-16LE/BE
Summary: Meaning of raw UTF-16LE/BE
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords: CR
Depends on:
Blocks: 22661
  Show dependency treegraph
 
Reported: 2012-11-26 20:20 UTC by i18n IG
Modified: 2013-07-26 00:44 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description i18n IG 2012-11-26 20:20:23 UTC
http://dev.w3.org/html5/spec/infrastructure.html#a-utf-16-encoding says:

"The term a UTF-16 encoding refers to any variant of UTF-16: self-describing UTF-16 with a BOM, ambiguous UTF-16 without a BOM, raw UTF-16LE, and raw UTF-16BE. [RFC2781]"

What is 'raw' UTF-16LE/LE ?  Presumably, it's 'ambiguous UTF-16' without a BOM but with an encoding declaration in the transport layer? 

Actually 'self-describing' is not completely unambiguous either. 

Please clarify what these words mean.
Comment 1 Silvia Pfeiffer 2013-07-23 00:59:12 UTC
Would it be better to replace the reference on this sentence with an [ENCODING] reference and just point to UTF-16LE and UTF-16BE? Something like this:

"The term a UTF-16 encoding refers to any variant of UTF-16: UTF-16LE or UTF-16BE with or without BOM. [ENCODING]"
Comment 2 Anne 2013-07-23 04:14:51 UTC
You could say that it refers to either utf-16le or utf-16be and that's it. No need to mention BOM and such per Encoding anyway.
Comment 3 Travis Leithead [MSFT] 2013-07-26 00:44:46 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:


   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: Applied change from the WHATWG spec which [should] resolve.


See checkin (5.1 Nightly): https://github.com/w3c/html/commit/c50f7280a75b26ea779a22a1c908df3afa8c09e7

See checkin (CR draft):
https://github.com/w3c/html/commit/8b67cf8f28edb2e207b621e49c8e4ed62f7363f9